<?php
namespace Claromentis\Calendar;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_1ac0966b7243505442d5eca" . "53013e757" => base64_decode("RXhjZXB0aW9uIGR1cmluZy" . "B0aGUgY2FsZW5kYXIgc3lu" . "Y2hyb25pemF0aW9uIGZyb2" . "0gdGhlIFVSTDog"));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;
class CalendarBackgroundTask implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected $logger;
    protected Api $api;
    public function __construct(Api $api)
    {
        $this->api = $api;
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function ProcessBackground()
    {
        try {
            $this->api->updateImportedCalendars();
        } catch (\Exception $_c35473364fa7a050299058f332ec29c1) {
            $this->logger->error($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_1ac0966b7243505442d5e" . "ca53013e757"] . $_c35473364fa7a050299058f332ec29c1->getMessage(), [$_c35473364fa7a050299058f332ec29c1]);
        }
    }
}